AbstractEntityLoader (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.entity
Class AbstractEntityLoader

    java.lang.Object
      org.hibernate.loader.Loader
          org.hibernate.loader.BasicLoader
              org.hibernate.loader.OuterJoinLoader
                  org.hibernate.loader.entity.AbstractEntityLoader

All Implemented Interfaces:
  UniqueEntityLoader

Direct Known Subclasses:
  CascadeEntityLoader, EntityLoader

    public abstract class AbstractEntityLoader

extends OuterJoinLoader
implements UniqueEntityLoader

Field Summary
`protected String` | `entityName`
`protected OuterJoinLoadable` | `persister`
`protected Type` | `uniqueKeyType`

Fields inherited from class org.hibernate.loader.OuterJoinLoader
`aliases, collectionOwners, collectionPersisters, collectionSuffixes, lockModeArray, ownerAssociationTypes, owners, persisters, sql, suffixes`

Fields inherited from class org.hibernate.loader.BasicLoader
`NO_SUFFIX`

Fields inherited from class org.hibernate.loader.Loader
`LOG`

Constructor Summary
`AbstractEntityLoader(OuterJoinLoadable persister, Type uniqueKeyType, SessionFactoryImplementor factory, LoadQueryInfluencers loadQueryInfluencers)`

Method Summary
`protected Object` | `getResultColumnOrRow(Object[] row, ResultTransformer transformer, ResultSet rs, SessionImplementor session)` Get the actual object that is returned in the user-visible result list.
`protected boolean` | `isSingleRowLoader()` Return false is this loader is a batch entity loader
`Object` | `load(Serializable id, Object optionalObject, SessionImplementor session)` Load an entity instance.
`Object` | `load(Serializable id, Object optionalObject, SessionImplementor session, LockOptions lockOptions)` Load an entity instance by id.
`protected Object` | `load(SessionImplementor session, Object id, Object optionalObject, Serializable optionalId, LockOptions lockOptions)`

Methods inherited from class org.hibernate.loader.OuterJoinLoader
`getAliases, getCollectionOwners, getCollectionPersisters, getCollectionSuffixes, getDialect, getEntityPersisters, getLoadQueryInfluencers, getLockModes, getLockOptions, getOwnerAssociationTypes, getOwners, getSQLString, getSuffixes, initFromWalker`

Methods inherited from class org.hibernate.loader.BasicLoader
`generateSuffixes, generateSuffixes, getCollectionAliases, getEntityAliases, postInstantiate`

Methods inherited from class org.hibernate.loader.Loader
`applyLocks, applyPostLoadLocks, areResultSetRowsTransformedImmediately, autoDiscoverTypes, bindNamedParameters, bindParameterValues, bindPositionalParameters, checkScrollability, doList, extractKeysFromResultSet, getCompositeKeyManyToOneTargetIndices, getEntityEagerPropertyFetches, getFactory, getNamedParameterLocs, getQueryIdentifier, getResultList, getResultRow, getResultRowAliases, getResultSet, hasSubselectLoadableCollections, includeInResultRow, isSubselectLoadingEnabled, list, loadCollection, loadCollectionBatch, loadCollectionSubselect, loadEntity, loadEntity, loadEntityBatch, loadSequentialRowsForward, loadSequentialRowsReverse, loadSingleRow, needsFetchingScroll, prepareQueryStatement, preprocessSQL, resolveResultTransformer, scroll, toString, upgradeLocks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### persister

    protected final OuterJoinLoadable persister

### uniqueKeyType

    protected final Type uniqueKeyType

### entityName

    protected final String entityName

Constructor Detail

### AbstractEntityLoader

    public AbstractEntityLoader(OuterJoinLoadable persister,
                                Type uniqueKeyType,
                                SessionFactoryImplementor factory,
                                LoadQueryInfluencers loadQueryInfluencers)

Method Detail

### load

    public Object load(Serializable id,
                       Object optionalObject,
                       SessionImplementor session)

  Load an entity instance. If `optionalObject` is supplied, load the entity state into the given (uninitialized) object.

  Specified by:
    `load` in interface `UniqueEntityLoader`

### load

    public Object load(Serializable id,
                       Object optionalObject,
                       SessionImplementor session,
                       LockOptions lockOptions)

  Load an entity instance by id. If `optionalObject` is supplied (non-`null`, the entity state is loaded into that object instance instead of instantiating a new one.

  Specified by:
    `load` in interface `UniqueEntityLoader`
  Parameters:
    `id` - The id to be loaded
    `optionalObject` - The (optional) entity instance in to which to load the state
    `session` - The session from which the request originated
    `lockOptions` - The lock options.
  Returns:
    The loaded entity

### load

    protected Object load(SessionImplementor session,
                          Object id,
                          Object optionalObject,
                          Serializable optionalId,
                          LockOptions lockOptions)

### getResultColumnOrRow

    protected Object getResultColumnOrRow(Object[] row,
                                          ResultTransformer transformer,
                                          ResultSet rs,
                                          SessionImplementor session)
                                   throws SQLException,
                                          HibernateException

  Description copied from class: `Loader`
  Get the actual object that is returned in the user-visible result list. This empty implementation merely returns its first argument. This is overridden by some subclasses.

  Overrides:
    `getResultColumnOrRow` in class `Loader`
  Throws:
    `SQLException`
    `HibernateException`

### isSingleRowLoader

    protected boolean isSingleRowLoader()

  Description copied from class: `Loader`
  Return false is this loader is a batch entity loader

  Overrides:
    `isSingleRowLoader` in class `Loader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.